local M = {}

-- stylua: ignore start

M.diagnostics = {
  Debug   = " ",
  Error   = " ",
  Hint    = " ",
  Info    = " ",
  Trace   = "✎ ",
  Warn    = " ",
}

M.diagnostics_bold = {
  Debug   = " ",
  Error   = " ",
  Hint    = "󰌵 ",
  Info    = " ",
  Trace   = "✎ ",
  Warn    = " ",
}

M.git = {
  Branch = "󰘬",         -- 
  file = {
    Deleted     = "✗",  -- 
    Ignored     = "◌",
    Renamed     = "➜",  -- 
    Staged      = "✓",  -- S
    Unmerged    = "",  -- 
    Unstaged    = "✶",  -- 
    Untracked   = "",  -- U
  }
}

-- Custom mix of lspkind defaults and VS Code codicons :)
M.kind = {
  Array             = " ",
  Boolean           = " ",
  Class             = " ",
  Color             = " ",
  Constant          = "󰏿 ",   -- 
  Constructor       = " ",   -- 
  Copilot           = " ",
  Enum              = " ",   -- 
  EnumMember        = " ",   -- 
  Event             = " ",
  Field             = " ",
  File              = " ",
  Folder            = " ",   -- 󰉋
  Function          = "󰊕 ",   -- 
  Interface         = " ",
  Key               = " ",
  Keyword           = " ",
  Method            = " ",
  Module            = " ",
  Namespace         = " ",
  Null              = " ",   -- 󰟢
  Number            = "󰎠 ",   -- 
  Object            = " ",
  Operator          = " ",
  Package           = " ",
  Property          = " ",
  Reference         = " ",   -- 
  Snippet           = " ",
  String            = " ",
  Struct            = " ",
  Text              = " ",
  TypeParameter     = " ",
  Unit              = " ",
  Value             = "󰎠 ",
  Variable          = "󰀫 ",   -- 
}

M.ui = {
  Annotation            = "",
  Attention             = "",
  Bug                   = "",    -- 
  Checkbox              = "",    --  󰄬 󰄬 
  Checkmark             = "",    --  󰄬 󰄬 
  ChevronDown           = "",    -- 
  ChevronLeft           = "",    -- 
  ChevronRight          = "",    -- 
  ChevronSmallDown      = "",
  ChevronSmallLeft      = "",
  ChevronSmallRight     = "",
  ChevronSmallUp        = "",
  ChevronUp             = "",    -- 
  Circle                = "●",
  Comment               = "",
  Comments              = "",
  Decrement             = "",    -- 
  Diagnostic            = "",
  EmptyFolder           = "",
  EmptyFolderOpen       = "",
  File                  = "",    -- 
  FileSymlink           = "",    -- 
  FileTree              = "󰙅",
  Files                 = "",
  Fire                  = "",    -- 
  Folder                = "󰉋",
  FolderOpen            = "",
  FolderSymlink         = "",
  Format                = "󰉼",
  Gauge                 = "󰓅",    -- 
  Git                   = " ",
  Graph                 = "󱁊",
  Increment             = "",    -- 
  LineLeft              = "▏",
  LineLeftBold          = "▎",
  LineMiddle            = "│",
  LineMiddleBold        = "┃",
  Lint                  = "",
  Markdown              = "",
  Modified              = "",
  Note                  = "",    -- 
  Paste                 = "",
  Play                  = "",
  ReadOnly              = "",    -- "RO",
  Search                = "",    -- 
  Sleep                 = "󰒲",
  Telescope             = "",
  TestTube              = "󰙨",    -- 󰤑
  Text                  = "󰬴",
  Toggle                = "󰨚",
  TrafficLight          = "󱠪",
  Tree                  = "",
  Undo                  = "󰕌",
  Warning               = "",
  Web                   = "󰖟",
  Whitespace            = "󱁐",
}

-- stylua: ignore end

return M
